=== debian/control ===
Source: libqtxdg
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglib2.0-dev,
               libmagic-dev,
               lxqt-build-tools (>= 2.0.0+really2.0.0~),
               pkgconf,
               qt6-base-private-dev (>= 6.7.2),
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
Homepage: https://github.com/lxqt/libqtxdg

Package: libqt6xdg4
Architecture: any
Multi-Arch: same
Depends: file,
         libfile-mimeinfo-perl,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qt6-translations-l10n
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt6xdg
Conflicts: libqt5xdg3
Description: Implementation of the XDG Specifications for Qt (shared lib)
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt6xdgiconloader4
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gtk-update-icon-cache
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt6xdgiconloader
Description: Implementation of the XDG Iconloader for Qt (shared lib)
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides the shared library.

Package: libqt6xdg-dev
Architecture: any
Section: libdevel
Depends: libmagic-dev,
         libqt6xdg4 (= ${binary:Version}),
         libqt6xdgiconloader-dev (= ${binary:Version}),
         ${misc:Depends}
Recommends: qtxdg-dev-tools (= ${source:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt. It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt6xdgiconloader-dev
Architecture: any
Section: libdevel
Depends: libqt6xdgiconloader4 (= ${binary:Version}),
         qt6-svg-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for libqtxdgiconloader
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides development files.

Package: qtxdg-dev-tools
Architecture: any
Section: devel
Depends: libqt6xdg4 (= ${binary:Version}),
         libqt6xdgiconloader4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools for QtXdg
 This package provide some tools for qtxdg:
 .
  * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
  * qtxdg-iconfinder - Find icons the QtXdg way
  * qtxdg-mat - Mime app tool for QtXdg
