=== debian/changelog ===
libqtxdg (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 03 Dec 2024 22:06:49 +0800

libqtxdg (4.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:22:24 +0100
