=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                libglib2.0-dev,
                libmagic-dev,
-               lxqt-build-tools (>= 2.0.0+really2.0.0~),
+               lxqt-build-tools (>= 2.1.0~),
                pkgconf,
                qt6-base-private-dev (>= 6.7.2),
                qt6-svg-dev,
