=== src/CMakeLists.txt ===
add_subdirectory(xdgiconloader)
add_subdirectory(qtxdg)
