=== debian/changelog ===
libqtxdg (4.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Aug 2025 21:15:57 +0800

libqtxdg (4.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 4.2.0.
  * debian/control: Bumped the version of lxqt-build-tools.
  * debian/libqt6xdg4.shlibs: Bumped the version of libqt6xdg4 to 4.2.0.
  * debian/copyright: Added myself.
  * debian/control: Added myslelf as uploader.

 -- Joel Orón Valiente <moded3v@gmail.com>  Sat, 12 Jul 2025 16:42:53 +0200
