=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libqtxdg
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Joel Orón Valiente <moded3v@gmail.com>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libglib2.0-dev,
                libmagic-dev,
-               lxqt-build-tools (>= 2.1.0~),
+               lxqt-build-tools (>= 2.2.0~),
                pkgconf,
                qt6-base-private-dev (>= 6.7.2),
                qt6-svg-dev,
