=== debian/watch ===
version=4
opts="downloadurlmangle=s%/tag/([^/]+)$%/download/$1/@PACKAGE@-$1.tar.xz%, filenamemangle=s%^.*/([^/]+)$%@PACKAGE@-$1.tar.xz%, pgpsigurlmangle=s/$/.asc/" \
  https://github.com/lxqt/@PACKAGE@/tags /lxqt/@PACKAGE@/releases/tag/([^/]+)$
