## libqtxdg 4.3.0

=== src/xdgiconloader/CMakeLists.txt ===
--- 
+++ 
@@ -50,6 +50,8 @@
 )
 
 target_link_libraries(${QTXDGX_ICONLOADER_LIBRARY_NAME}
+    PRIVATE
+        Qt6::GuiPrivate
     PUBLIC
         Qt6::Gui
         Qt6::Svg
