=== debian/changelog ===
libqtxdg (4.3.0-2) unstable; urgency=medium

  * debian/libqt6xdg4.shlibs: update.
  * debian/libqt6xdgiconloader4.shlibs: update.
  * Run wrap-and-sort.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Nov 2025 10:48:25 +0100

libqtxdg (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0.
  * d/control: Update Build-Depends.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/watch: Upgrade to version 5.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 11 Nov 2025 08:08:50 +0800
