=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
            Joel Orón Valiente <moded3v@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libglib2.0-dev,
                libmagic-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                pkgconf,
                qt6-base-private-dev (>= 6.7.2),
                qt6-svg-dev,
                qt6-tools-dev,
                qt6-tools-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
 Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
